Subject: Re: [openib-general] [PATCH 2.6.19 2/4] ehca: hcp_phyp.c: correct page mapping in 64k page mode

From: Roland Dreier <[email-masked]>
Date: Mon, 13 Nov 2006 08:39:58 -0800

> > The patch is needed. We've seen it on the real system. We did fix it on the
 > > real system.
 > 
 > I disagree that the ioremap change is needed.

Hmm... Paul, what you say makes sense and is what I would have
thought, but Christoph says that the unpatched code really fails on a
real system.  So I'm still confused.

I think I'll merge this with a fat comment, with the hope that we can
drop it ASAP once everyone agrees on what's going on.

 - R.